/****************************************************************
	MotorPWM.h 
	
	Motor control functions for MCD05
	2ch PWM output

							2015.7.14@M.Utsumi@ARCDEVICE
*****************************************************************/

#ifndef MOTOR_PWM_H
#define MOTOR_PWM_H

#include "MCD05.h"

#define MOTOR_MAX_VALUE    1024

void MOTOR_Open( void );
void MOTOR_Drive( int ch, int duty );

#define MOTOR_Brake() MOTOR_Drive( 0, MOTOR_MAX_VALUE+1 )
#define MOTOR_Free() MOTOR_Drive( 0, 0 )

#endif
